Page MenuHomePhabricator

Measure separate NavigationTiming metric(s) focused on Asia with higher sampling
Closed, ResolvedPublic

Description

The idea is to capture more RUM data from Asia before and after the cache pop deployment. It will need to be its own separate metric, to avoid changing our long term trends by making the sampling "uneven".

Looking at the browser data in Pivot for Asia, Chrome is very prominent, so we can afford to focus only on that browser to get some "advanced" metrics like first paint. Focusing on just one browser should also provide more stable metrics.

Event Timeline

Gilles created this task.Jul 3 2017, 11:44 AM
Gilles renamed this task from Measure separate NavigationTiming metrics focused on Asia with higher sampling to Measure separate NavigationTiming metric(s) focused on Asia with higher sampling.Jul 3 2017, 12:46 PM
Gilles claimed this task.

Change 362983 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Measure firstPaint in Asia with a custom sampling rate

https://gerrit.wikimedia.org/r/362983

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jul 6 2017, 7:29 PM
Gilles removed Gilles as the assignee of this task.Jul 17 2017, 1:56 PM
Gilles moved this task from Doing to Inbox on the Performance-Team board.
Gilles assigned this task to Krinkle.Jul 19 2017, 6:55 PM
Gilles lowered the priority of this task from High to Normal.Jul 19 2017, 7:04 PM
Gilles moved this task from Inbox to This Quarter (FY1920Q1 Jul-Sep) on the Performance-Team board.
Krinkle reassigned this task from Krinkle to Gilles.Aug 3 2017, 4:02 AM
Krinkle added a subscriber: Krinkle.

Change 362983 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Measure firstPaint in Asia with a custom sampling rate

https://gerrit.wikimedia.org/r/362983

Krinkle removed a project: Patch-For-Review.EditedSep 22 2017, 10:36 PM

Next: Prod config enabling?

Change 380441 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/mediawiki-config@master] Enable asia-specific Navigation Timing metric

https://gerrit.wikimedia.org/r/380441

Change 380441 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable asia-specific Navigation Timing metric

https://gerrit.wikimedia.org/r/380441

Mentioned in SAL (#wikimedia-operations) [2017-09-26T13:24:14Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: Enable asia-specific Navigation Timing metric - T169522 (duration: 00m 47s)

The metrics should start coming in when the NavTiming code gets gradually deployed with the train.

Gilles added a comment.Oct 4 2017, 7:41 PM

Geo.region doesn't contain the continent.

We need to use that kind of mapping: https://github.com/wikimedia/puppet/blob/production/modules/webperf/files/navtiming.py#L27

Change 382669 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Fix asian country check

https://gerrit.wikimedia.org/r/382669

Change 382669 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Fix asian country check

https://gerrit.wikimedia.org/r/382669

Gilles closed this task as Resolved.Oct 23 2017, 9:46 AM

The metrics are coming in, set up a basic dashboard: https://grafana.wikimedia.org/dashboard/db/navigation-timing-in-asia